NewWacht Bench is live — AI-assisted development for Wacht

List Oauth Apps

GET
/oauth/apps

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/oauth/apps"
{
  "apps": [
    {
      "id": "string",
      "slug": "string",
      "name": "string",
      "description": "string",
      "logo_url": "string",
      "fqdn": "string",
      "supported_scopes": [
        "string"
      ],
      "scope_definitions": [
        {
          "scope": "string",
          "display_name": "string",
          "description": "string",
          "archived": true,
          "category": "string",
          "organization_permission": "string",
          "workspace_permission": "string"
        }
      ],
      "allow_dynamic_client_registration": true,
      "is_active": true,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}